Package org.pushingpixels.flamingo.internal.ui.common

# Class CommandButtonLayoutManagerCustom

java.lang.Object
org.pushingpixels.flamingo.internal.ui.common.CommandButtonLayoutManagerBig
org.pushingpixels.flamingo.internal.ui.common.CommandButtonLayoutManagerCustom

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `CommandButtonLayoutManager`

public class CommandButtonLayoutManagerCustom extends CommandButtonLayoutManagerBig

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.pushingpixels.flamingo.api.common.CommandButtonLayoutManager

`CommandButtonLayoutManager.CommandButtonLayoutInfo, CommandButtonLayoutManager.CommandButtonSeparatorOrientation, CommandButtonLayoutManager.TextLayoutInfo`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.CommandButtonLayoutManagerBig

`commandButton, titlePart1, titlePart2`

## Constructor Summary

Constructors
Constructor
Description
`CommandButtonLayoutManagerCustom(AbstractCommandButton commandButton)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPreferredIconSize()`
Returns the preferred icon size of command buttons which use this layout manager.
`Dimension`
`getPreferredSize(AbstractCommandButton commandButton)`
Returns the preferred size of the specified command button.

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.CommandButtonLayoutManagerBig

`getKeyTipAnchorCenterPoint, getLayoutInfo, propertyChange, updateTitleStrings`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandButtonLayoutManagerCustom

public CommandButtonLayoutManagerCustom(AbstractCommandButton commandButton)

## Method Details

### getPreferredIconSize

public int getPreferredIconSize()
Description copied from interface: `CommandButtonLayoutManager`
Returns the preferred icon size of command buttons which use this layout manager.

Specified by:
  `getPreferredIconSize` in interface `CommandButtonLayoutManager`
Overrides:
  `getPreferredIconSize` in class `CommandButtonLayoutManagerBig`
Returns:
  The preferred icon size of command buttons which use this layout manager.

### getPreferredSize

public Dimension getPreferredSize(AbstractCommandButton commandButton)
Description copied from interface: `CommandButtonLayoutManager`
Returns the preferred size of the specified command button.

Specified by:
  `getPreferredSize` in interface `CommandButtonLayoutManager`
Overrides:
  `getPreferredSize` in class `CommandButtonLayoutManagerBig`
Parameters:
  `commandButton` - Command button.
Returns:
  The preferred size of the specified command button.